%global svnrel 1696

Name:           jspecview
Version:        2
Release:        19.%{svnrel}svn%{?dist}
Summary:        JAVA applets for the display of JCAMP-DX and AnIML/CML spectral files

License:        LGPLv2
URL:            http://jspecview.sourceforge.net/
# Upstream does not release stable source tarballs. Tarball created with attached script.
Source0:        jspecview-%{svnrel}svn.tar.xz
Source1:        generate-sources.sh
# Fedora patches: no JMol bindings, no signing, no bundling
Patch0:         jspecview-fedora.patch
BuildArch:      noarch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  ant
BuildRequires:  icedtea-web
# Upstream has hardcoded stuff for eclipse setup
BuildRequires:  eclipse

Requires:       jpackage-utils
Requires:       icedtea-web
Requires:       java

%description
The JSpecView Project provides JAVA applets for the display of
JCAMP-DX and AnIML/CML spectral files.

%package javadoc
Summary:        Javadocs for %{name}
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n jspecview
%patch0 -p1 -b .fedora

# Fix EOL encodings
for f in JSpecView/extras/{COPYRIGHT,LICENSE,README}.txt; do
 sed 's/\r//' $f > $f.new && \
 touch -r $f $f.new && \
 mv $f.new $f
done

# Remove pre-existing binaries
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

# Install netscape.jar
%if 0%{?fedora} > 25
cp -a %{_datadir}/icedtea-web/jsobject.jar JSpecView/libs/netscape.jar
%else
cp -a %{_datadir}/icedtea-web/plugin.jar JSpecView/libs/netscape.jar
%endif

%build
# Files are UTF-8 encoded
export ANT_OPTS="-Dfile.encoding=UTF8"

# Build library
cd JSpecViewLib
ant
cd ..

cd JSpecView
ant make-application-jar make-applet-jar
cd ..

%install
mkdir -p %{buildroot}%{_javadir}

# Get app version
ver=`ls JSpecView/build/jspecview.app.*.jar| sed "s|JSpecView/build/jspecview.app.||g;s|.jar||g"`
install -D -p -m 644 JSpecView/build/jspecview.app.${ver}.jar %{buildroot}%{_javadir}/jspecview.app.jar
install -D -p -m 644 JSpecView/build/jspecview.applet.${ver}.jar %{buildroot}%{_javadir}/jspecview.applet.jar

# Install symlinks
pushd %{buildroot}%{_javadir}
ln -s jspecview.app.jar jspecview.app.${ver}.jar 
ln -s jspecview.applet.jar jspecview.applet.${ver}.jar 
popd

# Javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp JSpecView/doc/ %{buildroot}%{_javadocdir}/%{name}

%files
%doc JSpecView/extras/README.txt JSpecView/extras/LICENSE.txt JSpecView/extras/COPYRIGHT.txt
%{_javadir}/jspecview.*.jar

%files javadoc
%{_javadocdir}/%{name}/

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2-19.1696svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2-18.1696svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2-17.1696svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2-16.1696svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2-15.1696svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Feb 23 2017 Susi Lehtola <jussilehtola@fedoraproject.org> - 2-14.1696svn
- Fix FTBFS in rawhide.

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2-13.1696svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2-12.1696svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-10.1649svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-9.1649svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 07 2014 Susi Lehtola <jussilehtola@fedoraproject.org> - 2-8.1649svn
- Remove bundled libraries (BZ #1095316).
- Update to revision 1649.

* Thu Mar 06 2014 Michal Srb <msrb@redhat.com> - 2-7.1464svn
- Remove unneeded BR: itext

* Wed Jan 01 2014 Susi Lehtola <jussilehtola@fedoraproject.org> - 2-6.1464svn
- Update to revision 1464.

* Tue Oct 22 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2-6.1171svn
- Real .jar is unversioned (BZ #1022126).

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-5.1171svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 11 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2-4.1171svn
- Compress tarballs with xz (BZ #979821).
- Update to revision 1171.

* Tue May 14 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2-4.1169svn
- Dropped classpaths from manifests.
- Update to revision 1169.
- Added missing resources.
- Fixed EOL encodings.

* Tue May 07 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2-3.1166svn
- Include license files as well.

* Mon Apr 29 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2-2.1166svn
- Include javadoc.

* Fri Apr 05 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2-1.1166svn
- Fixed the broken build system, patch sent upstream.
- Update to 1166svn.

* Mon Mar 25 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2-1.1158svn
- First release.
